petsc-3.12.1 2019-10-22
Report Typos and Errors

# PCGetInterpolations

Gets interpolation matrices for all levels (except level 0)

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PCGetInterpolations(PC pc,PetscInt *num_levels,Mat *interpolations[])

Logically Collective on PC

### Input Parameters

| pc | - the precondition context

### Output Parameter

| num_levels | - the number of levels

interpolations -the interpolation matrices (size of num_levels-1)

### Keywords

MG, GAMG, BoomerAMG, multigrid, interpolation, level

### See Also

PCMGGetRestriction(), PCMGSetInterpolation(), PCMGGetInterpolation(), PCGetCoarseOperators()

### Level

advanced

### Location

src/ksp/pc/interface/precon.c

### Implementations

PCGetInterpolations_BoomerAMG in src/ksp/pc/impls/hypre/hypre.c
PCGetInterpolations_MG in src/ksp/pc/impls/mg/mg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages